Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7385 - Very poor performance when connected to Internet Navigator
Summary: Very poor performance when connected to Internet Navigator
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: magicdev
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Elliot Lee
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-28 03:44 UTC by mbpomije
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-16 15:34:19 UTC


Attachments (Terms of Use)

Description mbpomije 1999-11-28 03:44:33 UTC
I am able to successfully connect to Internet Navigator
(http://www.inav.net), but after a period of time, often less than a
minute, performance drops to unacceptable levels.  I have connected to
Internet Navigator using previous versions of Red Hat and I have not
experienced these difficulties.  I have incorportated the suggested fix in
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=7180
but it did not help.

Here is a transcript of my /var/log/messages file, with username and
password elided.
Nov 26 23:33:14 localhost ifup-ppp: pppd started for ppp0 on /dev/ttyS1 at
115200
Nov 26 23:33:14 localhost modprobe: can't locate module char-major-108
Nov 26 23:33:14 localhost pppd[11834]: pppd 2.3.10 started by root, uid 0
Nov 26 23:33:15 localhost chat[11843]: abort on (BUSY)
Nov 26 23:33:15 localhost chat[11843]: abort on (ERROR)
Nov 26 23:33:15 localhost chat[11843]: abort on (NO CARRIER)
Nov 26 23:33:15 localhost chat[11843]: abort on (NO DIALTONE)
Nov 26 23:33:15 localhost chat[11843]: abort on (Invalid Login)
Nov 26 23:33:15 localhost chat[11843]: abort on (Login incorrect)
Nov 26 23:33:15 localhost chat[11843]: send (ATZ^M)
Nov 26 23:33:15 localhost chat[11843]: expect (OK)
Nov 26 23:33:16 localhost chat[11843]: ATZ^M^M
Nov 26 23:33:16 localhost chat[11843]: OK
Nov 26 23:33:16 localhost chat[11843]:  -- got it
Nov 26 23:33:16 localhost chat[11843]: send (ATDT6268888^M)
Nov 26 23:33:16 localhost chat[11843]: expect (CONNECT)
Nov 26 23:33:16 localhost chat[11843]: ^M
Nov 26 23:33:48 localhost chat[11843]: ATDT6268888^M^M
Nov 26 23:33:48 localhost chat[11843]: CONNECT
Nov 26 23:33:48 localhost chat[11843]:  -- got it
Nov 26 23:33:48 localhost chat[11843]: send (^M)
Nov 26 23:33:48 localhost chat[11843]: expect (ogin:)
Nov 26 23:33:48 localhost chat[11843]:  38666 V42bis^M
Nov 26 23:33:50 localhost chat[11843]: ^M
Nov 26 23:33:50 localhost chat[11843]: ^M
Nov 26 23:33:50 localhost chat[11843]: login:
Nov 26 23:33:50 localhost chat[11843]:  -- got it
Nov 26 23:33:50 localhost chat[11843]: send (pomije^M)
Nov 26 23:33:50 localhost chat[11843]: expect (assword:)
Nov 26 23:33:50 localhost chat[11843]:  ^M
Nov 26 23:33:50 localhost chat[11843]: login: ******^M
Nov 26 23:33:50 localhost chat[11843]: Password:
Nov 26 23:33:50 localhost chat[11843]:  -- got it
Nov 26 23:33:50 localhost chat[11843]: send (********^M)
Nov 26 23:33:51 localhost pppd[11834]: Serial connection established.
Nov 26 23:33:51 localhost pppd[11834]: Using interface ppp0
Nov 26 23:33:51 localhost pppd[11834]: Connect: ppp0 <--> /dev/ttyS1
Nov 26 23:33:52 localhost pppd[11834]: local  IP address 205.160.208.221
Nov 26 23:33:52 localhost pppd[11834]: remote IP address 205.160.208.248
Nov 26 23:33:52 localhost pppd[11834]: primary   DNS address
199.120.107.101
Nov 26 23:33:52 localhost pppd[11834]: secondary DNS address
199.120.107.102
Nov 26 23:34:03 localhost gnome-name-server[11924]: starting
Nov 26 23:34:03 localhost gnome-name-server[11924]: name server starting
Nov 26 23:35:40 localhost kernel: hdc: lost interrupt
Nov 26 23:35:50 localhost kernel: hdc: lost interrupt
Nov 26 23:35:56 localhost gnome-name-server[11924]: input condition is:
0x10, exiting
Nov 26 23:36:00 localhost kernel: hdc: lost interrupt
Nov 26 23:36:30 localhost last message repeated 3 times
Nov 26 23:39:41 localhost gnome-name-server[12022]: starting
Nov 26 23:39:41 localhost gnome-name-server[12022]: name server starting
Nov 26 23:41:05 localhost kernel: hdc: lost interrupt
Nov 26 23:41:45 localhost last message repeated 4 times
Nov 26 23:41:49 localhost gnome-name-server[12022]: input condition is:
0x10, exiting
Nov 26 23:41:55 localhost kernel: hdc: lost interrupt
Nov 26 23:42:15 localhost last message repeated 2 times

I think that I start getting messages like
Nov 26 23:41:45 localhost last message repeated 4 times
when the slowdowns occur.

Here is my ifcfp-ppp0 file
DEVICE="ppp0"
ONBOOT="no"
USERCTL="no"
MODEMPORT="/dev/ttyS1"
LINESPEED="115200"
PERSIST="yes"
DEFABORT="yes"
DEBUG="yes"
INITSTRING="ATZ"
DEFROUTE="yes"
HARDFLOWCTL="yes"
ESCAPECHARS="no"
PPPOPTIONS=""
PAPNAME=""
REMIP=""
NETMASK=""
IPADDR=""
MRU=""
MTU=""
DISCONNECTTIMEOUT=""
RETRYTIMEOUT="5"
BOOTPROTO="none"
PPPOPTIONS="noccp"

Comment 1 Tyson Bigler 1999-11-29 20:05:59 UTC
I just opened Bug#:7393.  While I agree that adding the 'noccp' option aleviates
the problem of the connection "hanging", the performance is unacceptable in this
mode.  I believe the problem lies in the CCP compression code.  Please see #7393
for additional info.

Comment 2 mbpomije 1999-12-04 02:57:59 UTC
Commanding
rpm -e -nodeps magicdev
as root while X was shut down stopped both the bad network performance and the
lost irq messages.

Comment 3 Preston Brown 2000-02-16 15:34:59 UTC
Some hardware seems to have strange problems with magicdev that somehow windows
doesn't exhibit.

Comment 4 Elliot Lee 2000-07-17 20:16:02 UTC
No problems here. Reports are sporadic and unreproducible. If specific
information comes in, this can be fixed in the kernel (not magicdev).


Note You need to log in before you can comment on or make changes to this bug.